Bug 967791 - Error in `/usr/libexec/virt-sandbox-service-util': free(): invalid pointer: 0x000000000248f3f6
Error in `/usr/libexec/virt-sandbox-service-util': free(): invalid pointer: 0...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt-sandbox (Show other bugs)
7.0
Unspecified Unspecified
medium Severity high
: rc
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 06:53 EDT by dyuan
Modified: 2013-07-10 01:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-10 01:15:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dyuan 2013-05-28 06:53:58 EDT
Description of problem:
Execute 'touch' command failed for container.

Version-Release number of selected component (if applicable):
libvirt-sandbox-0.2.0-1.el7

How reproducible:
always

Steps to Reproduce:
# /usr/libexec/virt-sandbox-service-util -e 'touch /home/test' -p 18512 apache20 > log.log
Failed to execute touch /home/test: No such file or directory
*** Error in `/usr/libexec/virt-sandbox-service-util': free(): invalid pointer: 0x000000000248f3f6 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x7cef8)[0x7fd2e57f8ef8]
/usr/libexec/virt-sandbox-service-util[0x40213a]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7fd2e579db75]
/usr/libexec/virt-sandbox-service-util[0x4025c1]
======= Memory map: ========
00400000-00404000 r-xp 00000000 08:02 1052657                            /usr/libexec/virt-sandbox-service-util
00603000-00604000 r--p 00003000 08:02 1052657                            /usr/libexec/virt-sandbox-service-util
00604000-00605000 rw-p 00004000 08:02 1052657                            /usr/libexec/virt-sandbox-service-util
02462000-028c6000 rw-p 00000000 00:00 0                                  [heap]
7fd2d74e7000-7fd2d74f3000 r-xp 00000000 08:02 1060496                    /usr/lib64/libnss_files-2.17.so
7fd2d74f3000-7fd2d76f2000 ---p 0000c000 08:02 1060496                    /usr/lib64/libnss_files-2.17.so
7fd2d76f2000-7fd2d76f3000 r--p 0000b000 08:02 1060496                    /usr/lib64/libnss_files-2.17.so
7fd2d76f3000-7fd2d76f4000 rw-p 0000c000 08:02 1060496                    /usr/lib64/libnss_files-2.17.so
7fd2d76f4000-7fd2d7706000 r-xp 00000000 08:02 1183061                    /usr/lib64/pkcs11/gnome-keyring-pkcs11.so
7fd2d7706000-7fd2d7905000 ---p 00012000 08:02 1183061                    /usr/lib64/pkcs11/gnome-keyring-pkcs11.so
7fd2d7905000-7fd2d7907000 r--p 00011000 08:02 1183061                    /usr/lib64/pkcs11/gnome-keyring-pkcs11.so
7fd2d7907000-7fd2d7908000 rw-p 00013000 08:02 1183061                    /usr/lib64/pkcs11/gnome-keyring-pkcs11.so
7fd2d7908000-7fd2dde2d000 r--p 00000000 08:02 1061786                    /usr/lib/locale/locale-archive
7fd2dde2d000-7fd2ddfc8000 r-xp 00000000 08:02 1051271                    /usr/lib64/libcrypto.so.1.0.1c
7fd2ddfc8000-7fd2de1c7000 ---p 0019b000 08:02 1051271                    /usr/lib64/libcrypto.so.1.0.1c
7fd2de1c7000-7fd2de1e1000 r--p 0019a000 08:02 1051271                    /usr/lib64/libcrypto.so.1.0.1c
7fd2de1e1000-7fd2de1ec000 rw-p 001b4000 08:02 1051271                    /usr/lib64/libcrypto.so.1.0.1c
7fd2de1ec000-7fd2de1f1000 rw-p 00000000 00:00 0 
7fd2de1f1000-7fd2de24c000 r-xp 00000000 08:02 1051273                    /usr/lib64/libssl.so.1.0.1c
7fd2de24c000-7fd2de44b000 ---p 0005b000 08:02 1051273                    /usr/lib64/libssl.so.1.0.1c
7fd2de44b000-7fd2de44f000 r--p 0005a000 08:02 1051273                    /usr/lib64/libssl.so.1.0.1c
7fd2de44f000-7fd2de455000 rw-p 0005e000 08:02 1051273                    /usr/lib64/libssl.so.1.0.1c
7fd2de455000-7fd2de458000 r-xp 00000000 08:02 1050083                    /usr/lib64/libkeyutils.so.1.4
7fd2de458000-7fd2de657000 ---p 00003000 08:02 1050083                    /usr/lib64/libkeyutils.so.1.4
7fd2de657000-7fd2de658000 r--p 00002000 08:02 1050083                    /usr/lib64/libkeyutils.so.1.4
7fd2de658000-7fd2de659000 rw-p 00003000 08:02 1050083                    /usr/lib64/libkeyutils.so.1.4
7fd2de659000-7fd2de666000 r-xp 00000000 08:02 1050099                    /usr/lib64/libkrb5support.so.0.1
7fd2de666000-7fd2de865000 ---p 0000d000 08:02 1050099                    /usr/lib64/libkrb5support.so.0.1
7fd2de865000-7fd2de866000 r--p 0000c000 08:02 1050099                    /usr/lib64/libkrb5support.so.0.1
7fd2de866000-7fd2de867000 rw-p 0000d000 08:02 1050099                    /usr/lib64/libkrb5support.so.0.1
7fd2de867000-7fd2de8ca000 r-xp 00000000 08:02 1049399                    /usr/lib64/libfreebl3.so
7fd2de8ca000-7fd2deaca000 ---p 00063000 08:02 1049399                    /usr/lib64/libfreebl3.so
7fd2deaca000-7fd2deacb000 r--p 00063000 08:02 1049399                    /usr/lib64/libfreebl3.so
7fd2deacb000-7fd2deacc000 rw-p 00064000 08:02 1049399                    /usr/lib64/libfreebl3.so
7fd2deacc000-7fd2dead0000 rw-p 00000000 00:00 0 
7fd2dead0000-7fd2deae5000 r-xp 00000000 08:02 1048584                    /usr/lib64/libgcc_s-4.7.2-20121109.so.1
7fd2deae5000-7fd2dece4000 ---p 00015000 08:02 1048584                    /usr/lib64/libgcc_s-4.7.2-20121109.so.1
7fd2dece4000-7fd2dece5000 r--p 00014000 08:02 1048584                    /usr/lib64/libgcc_s-4.7.2-20121109.so.1
7fd2dece5000-7fd2dece6000 rw-p 00015000 08:02 1048584                    /usr/lib64/libgcc_s-4.7.2-20121109.so.1
7fd2dece6000-7fd2ded0d000 r-xp 00000000 08:02 1052167                    /usr/lib64/libssh2.so.1.0.1
7fd2ded0d000-7fd2def0d000 ---p 00027000 08:02 1052167                    /usr/lib64/libssh2.so.1.0.1
7fd2def0d000-7fd2def0e000 r--p 00027000 08:02 1052167                    /usr/lib64/libssh2.so.1.0.1
7fd2def0e000-7fd2def0f000 rw-p 00028000 08:02 1052167                    /usr/lib64/libssh2.so.1.0.1
7fd2def0f000-7fd2def48000 r-xp 00000000 08:02 1049705                    /usr/lib64/libnspr4.so
7fd2def48000-7fd2df147000 ---p 00039000 08:02 1049705                    /usr/lib64/libnspr4.so
7fd2df147000-7fd2df148000 r--p 00038000 08:02 1049705                    /usr/lib64/libnspr4.so
7fd2df148000-7fd2df14a000 rw-p 00039000 08:02 1049705                    /usr/lib64/libnspr4.so
7fd2df14a000-7fd2df14c000 rw-p 00000000 00:00 0 
7fd2df14c000-7fd2df150000 r-xp 00000000 08:02 1049706                    /usr/lib64/libplc4.so
7fd2df150000-7fd2df34f000 ---p 00004000 08:02 1049706                    /usr/lib64/libplc4.so
7fd2df34f000-7fd2df350000 r--p 00003000 08:02 1049706                    /usr/lib64/libplc4.so
7fd2df350000-7fd2df351000 rw-p 00004000 08:02 1049706                    /usr/lib64/libplc4.so
7fd2df351000-7fd2df354000 r-xp 00000000 08:02 1049707                    /usr/lib64/libplds4.so
7fd2df354000-7fd2df553000 ---p 00003000 08:02 1049707                    /usr/lib64/libplds4.so
7fd2df553000-7fd2df554000 r--p 00002000 08:02 1049707                    /usr/lib64/libplds4.so
7fd2df554000-7fd2df555000 rw-p 00003000 08:02 1049707                    /usr/lib64/libplds4.so
7fd2df555000-7fd2df579000 r-xp 00000000 08:02 1049716                    /usr/lib64/libnssutil3.so
7fd2df579000-7fd2df779000 ---p 00024000 08:02 1049716                    /usr/lib64/libnssutil3.so
7fd2df779000-7fd2df77f000 r--p 00024000 08:02 1049716                    /usr/lib64/libnssutil3.so
7fd2df77f000-7fd2df780000 rw-p 0002a000 08:02 1049716                    /usr/lib64/libnssutil3.so
7fd2df780000-7fd2df8b1000 r-xp 00000000 08:02 1050872                    /usr/lib64/libnss3.soAborted


Actual results:


Expected results:


Additional info:
Comment 2 Daniel Berrange 2013-07-09 06:02:28 EDT
(In reply to dyuan from comment #0)
> Description of problem:
> Execute 'touch' command failed for container.
> 
> Version-Release number of selected component (if applicable):
> libvirt-sandbox-0.2.0-1.el7
> 
> How reproducible:
> always
> 
> Steps to Reproduce:
> # /usr/libexec/virt-sandbox-service-util -e 'touch /home/test' -p 18512
> apache20 > log.log
> Failed to execute touch /home/test: No such file or directory
> *** Error in `/usr/libexec/virt-sandbox-service-util': free(): invalid
> pointer: 0x000000000248f3f6 ***

You should *never* run  /usr/libexec/virt-sandbox-service-util directly. The virt-sandbox-service command is the only one that should be tested. It will internally run virt-sandbox-service-util *if* required.

The current virt-sandbox-service does not use  /usr/libexec/virt-sandbox-service-util for executing commands anymore, so you were testing dead code here. Please re-test using  'virt-sandbox-service execute.....' instead.
Comment 3 dyuan 2013-07-10 01:15:29 EDT
Okay, thanks. Will not test it anymore, and remove it from the test plan.

And it's okay for virt-sandbox-service. So I'll close this bug as WONTFIX.

libvirt-1.1.0-1.el7
libvirt-sandbox-0.2.0-1.el7
selinux-policy-3.12.1-59.el7
libvirt-glib-0.1.6-1.el7

# virt-sandbox-service execute apache20 touch /home/test

# echo $?
0
# ls
test
# pwd
/var/lib/libvirt/filesystems/apache20/home

Note You need to log in before you can comment on or make changes to this bug.